### Method

# Gtk TreeDragSource drag_data_get

#### Declaration [src]

    GdkContentProvider*
    gtk_tree_drag_source_drag_data_get (
      GtkTreeDragSource* drag_source,
      GtkTreePath* path
    )

#### Description [src]

Asks the `GtkTreeDragSource` to return a `GdkContentProvider` representing the row at `path`. Should robustly handle a `path` no longer found in the model!.

#### Parameters

`path` | `GtkTreePath`
| Row that was dragged.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GdkContentProvider*`
| A `GdkContentProvider` for the given `path`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.